Page MenuHomePhabricator

mobile-html: mw:leadImage meta tag removes language information from SVG, causing the wrong language to be displayed in an SVG lead image in the apps
Closed, ResolvedPublicBUG REPORT

Description

Original report:

User has Android interface language set to German, but reports he always sees the SVG on the following page in English:

https://de.wikipedia.org/wiki/Amt_(Kommunalrecht)

Notes:
The mw:leadImage meta tag in mobile-html has the original SVG URL:
https://upload.wikimedia.org/wikipedia/commons/3/3b/Administrative_divisions_of_Germany.svg

The thumb URL for the image on the page is:
https://upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Administrative_divisions_of_Germany.svg/langde-600px-Administrative_divisions_of_Germany.svg.png

It's possible PCS needs to use the language specific thumbnail for mw:leadImage, or the apps should be sending langde when constructing thumbnail URLs. CC @Tsevener @Dbrant to coordinate requirements

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2020, 10:21 PM
LGoto added a subscriber: LGoto.EditedJul 8 2020, 3:35 PM

@Charlotte PI needs specific reproduction steps and/or screenshots, could you provide more details?

JoeWalsh renamed this task from SVG language not matching with interface language to mobile-html: mw:leadImage meta tag removes language information from SVG, causing the wrong language to be displayed in an SVG lead image in the apps.Jul 8 2020, 3:49 PM
JoeWalsh added a project: Page Content Service.
JoeWalsh updated the task description. (Show Details)
JoeWalsh updated the task description. (Show Details)
JoeWalsh added subscribers: Tsevener, Dbrant.
LGoto triaged this task as Medium priority.Jul 15 2020, 3:44 PM
LGoto moved this task from Needs triage to Upcoming on the Product-Infrastructure-Team-Backlog board.

Change 618541 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/services/mobileapps@master] WIP: fix mw:leadImage URL

https://gerrit.wikimedia.org/r/618541

Change 618541 abandoned by Jgiannelos:
[mediawiki/services/mobileapps@master] Add localized SVG on mw:leadImage

Reason:
Implement the language logic in PageImages extension

https://gerrit.wikimedia.org/r/618541

Change 620703 had a related patch set uploaded (by Jgiannelos; owner: Jgiannelos):
[mediawiki/extensions/PageImages@master] Add language param in prop=pageimages API

https://gerrit.wikimedia.org/r/620703

Change 620703 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] Add language param in prop=pageimages API

https://gerrit.wikimedia.org/r/620703

Change 621261 had a related patch set uploaded (by Jgiannelos; owner: Jgiannelos):
[mediawiki/services/mobileapps@master] Pass pilangcode on PageImages request

https://gerrit.wikimedia.org/r/621261

Change 621261 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Pass pilangcode on PageImages request

https://gerrit.wikimedia.org/r/621261

MSantos closed this task as Resolved.EditedSep 30 2020, 3:12 PM
MSantos added a subscriber: MSantos.

The bug is not reproducible anymore. Please reopen if you find anything else.

EDIT: see https://de.wikipedia.org/api/rest_v1/page/mobile-html/Amt_(Kommunalrecht)